delete_graph_attr {igraph} | R Documentation

## Delete a graph attribute

### Description

Delete a graph attribute

### Usage

    delete_graph_attr(graph, name)

### Arguments

`graph` | The graph.
`name` | Name of the attribute to delete.

### Value

The graph, with the specified attribute removed.

### See Also

Other graph attributes: `delete_edge_attr`, `delete_vertex_attr`, `edge_attr<-`, `edge_attr_names`, `edge_attr`, `graph_attr<-`, `graph_attr_names`, `graph_attr`, `igraph-dollar`, `igraph-vs-attributes`, `set_edge_attr`, `set_graph_attr`, `set_vertex_attr`, `vertex_attr<-`, `vertex_attr_names`, `vertex_attr`

### Examples

    g <- make_ring(10)
    graph_attr_names(g)
    g2 <- delete_graph_attr(g, "name")
    graph_attr_names(g2)

[Package igraph version 1.1.2 Index]